relude-1.2.2.0: Safe, performant, user-friendly and lightweight Haskell Standard Library

Copyright | (c) 2016 Stephen Diehl (c) 2016-2018 Serokell (c) 2018-2023 Kowainik
License | MIT
Maintainer | Kowainik <xrom.xkov@gmail.com>
Stability | Stable
Portability | Portable
Safe Haskell | Safe
Language | Haskell2010

Relude.Container

Description

This module exports all container-related stuff.

Synopsis

- module Relude.Container.One
- module Relude.Container.Reexport

# Documentation

module Relude.Container.One

`One` is a typeclass for creating structures from a singleton element. This module provides many useful instances of `One` for common containers as well.

module Relude.Container.Reexport

Reexports container-related functions, typeclasses and data types from the following packages:

- `base`
- `containers`
- `unordered-containers`